public extension MicItem {
  static func shouldResetActivity(_ c: MicItemContext) -> Bool? {
    if
      c.activityDate.isRecent,
      let end = c.activityDate.value
    {
      let now = Date()
      return now < end
    }

    return nil
  }

  static func shouldResetTimeout(_ c: MicItemContext) -> TimeInterval? {
    if
      c.activityDate.isRecent,
      let end = c.activityDate.value
    {
      let timeout = end.timerIntervalSinceNow()
      /**/print("ИГР MicIS.shouldRT timeout: '\(timeout)'")
      return nil
    }

    return nil
  }
}
